SQL 7.0 sp4 with MS02-61

SQL 7.0 sp4 with MS02-61

Post by George Too » Fri, 31 Jan 2003 07:42:58



With all the SQL Slammer trouble over the weekend I have
been asked not only about our 2000 boxes but what about
the SQL 7.0 stuff?  Do I need to apply MS02-61 to those
boxes too?  

I tried a NT4 SQL 7 cluster in the lab but it failed
telling me that it did not qualify for the patch.  I
figure that the download would at a minimum be different
but I could not find one.

Thanks for the Help

George

 
 
 

SQL 7.0 sp4 with MS02-61

Post by Jasper Smit » Fri, 31 Jan 2003 07:50:16


No, the vulnerabitities are in the SQL Server Resolution
Service that listens on UDP 1434. As SQL7 does not
support named instances it does not have this service.
Only SQL2000 level products are affected.

--
HTH

Jasper Smith (SQL Server MVP)

I support PASS - the definitive, global
community for SQL Server professionals -
http://www.sqlpass.org


Quote:> With all the SQL Slammer trouble over the weekend I have
> been asked not only about our 2000 boxes but what about
> the SQL 7.0 stuff?  Do I need to apply MS02-61 to those
> boxes too?

> I tried a NT4 SQL 7 cluster in the lab but it failed
> telling me that it did not qualify for the patch.  I
> figure that the download would at a minimum be different
> but I could not find one.

> Thanks for the Help

> George


 
 
 

SQL 7.0 sp4 with MS02-61

Post by SQL Server Development Team [MSFT » Fri, 31 Jan 2003 07:56:15


As long as Sql Server 7.0 is all you have on the machine, you do not need to
apply a patch. Note that the Slammer worm only affects Sql Server 2000 and
MSDE 2000.

Regards,

Jeanine Johnson

--
This posting is provided "AS IS" with no warranties, and confers no rights.
Use of included script samples are subject to the terms specified at
http://www.microsoft.com/info/cpyright.htm.


Quote:> With all the SQL Slammer trouble over the weekend I have
> been asked not only about our 2000 boxes but what about
> the SQL 7.0 stuff?  Do I need to apply MS02-61 to those
> boxes too?

> I tried a NT4 SQL 7 cluster in the lab but it failed
> telling me that it did not qualify for the patch.  I
> figure that the download would at a minimum be different
> but I could not find one.

> Thanks for the Help

> George

 
 
 

SQL 7.0 sp4 with MS02-61

Post by Hal Berenso » Fri, 31 Jan 2003 10:38:18


While there is no problem with 7.0 and Slammer, it pays to bring your 7.0
servers up to the latest security fix rollup to avoid other attacks.  That
can be found at
http://support.microsoft.com/default.aspx?scid=kb;en-us;Q327068&sd=tech

--
Hal Berenson
True Mountain Consulting


Quote:> With all the SQL Slammer trouble over the weekend I have
> been asked not only about our 2000 boxes but what about
> the SQL 7.0 stuff?  Do I need to apply MS02-61 to those
> boxes too?

> I tried a NT4 SQL 7 cluster in the lab but it failed
> telling me that it did not qualify for the patch.  I
> figure that the download would at a minimum be different
> but I could not find one.

> Thanks for the Help

> George

 
 
 

1. MS02-61

Ran the hotfix on 15 w2k sp2 machines and it failed on one:
Giving me AccessViolation on this one:  Went to all of the
backup\0686 folders and restored the files back to their
original location and still nothing...

SqlDumpExceptHandler: Process 54 generated fatal exception
c0000005 Exception_access_violation SQL Server is
terminating this process.

The SQLHotfixlog file:
GetLastError='183'
Looks like everything ran ok till it got to
SecurityHotFix.sql
Error Message: Error running script: SecurityHotfix.sql,
Error Code: 1

2. FOXPRO ARRAY QUESTION - HELP!

3. SQL Server 7.0, Sqlsvr32.dll (v 3.70.09.61), Connection is busy error

4. Approach Users Mailing List FAQ

5. 61-62 second hangs over sql*net (805 to 8162 and 816 to 8162)

6. java don't recognize chars of Oracle data

7. SQL7,0+ArcServe6.61+Sql client agent+NT4

8. Product User Profile

9. SQL 7.0 security path similar to MS02-061 for SQL2000

10. Patches MS02-056 for SQL Server 7.0 SP3

11. version of sqlserver 7.0 after applying sp4 and security update for sp4

12. installing oracle reports 61 - problem with oracle_home

13. Where is the MDAC 2.6 SP1 (2.61.7326.6) service pack available for download